<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Homework</title>
</head>
<style>
  #myDIV{
    position: absolute;
    top: 50%;
    width: 200px;
    height: 1px;
    background: green;
  }
   #watch{
    position: relative;
    width: 200px;
    height: 200px;
    background: red;
    border-radius: 50%;
  }
</style>
<body>
  <div id = "watch" class= "circle">
    <div id="myDIV"></div>
  </div>
      <!--
        Создайте счетчик секунд, который начинает отчет с 1 и заканчивается на 30,
        также добавьте кнопки который останавливают отчет, и запускают его заново и добавьте кнопку обнуляющую отчет.
        Также попробуйте изменить код так чтобы отчет начиналься с 30 и заканчивалься на 1.

       + бонус: Сделать так что бы на каждый тик (1с/2c) менялся цвет фона. Можно на основе генератора случайного цвета с предудущих уроков.
       + бонус: Сделать визуализацию стрелки которая идет по кругу
            document.getElementById("myDIV").style.transform = "rotate(7deg)";

       + бонус: Сделать кнопки которые выбирают режим в котором идет отсчет - обычный от 0 до 30 или реверсивный от 30 до 0
      -->
      <script>
      let flag = true; let direction = true;
        let counter = 0;
        const myDIV = document.getElementById("myDIV");

        const btn1 = document.createElement("button");
          document.body.appendChild(btn1);
          btn1.innerHTML = "Остановить";

        const btn2 = document.createElement("button");
          document.body.appendChild(btn2);
          btn2.innerHTML = "Запустить заново";

        const btn3 = document.createElement("button");
          document.body.appendChild(btn3);
          btn3.innerHTML = "По часовой";

        const btn4 = document.createElement("button");
          document.body.appendChild(btn4);
          btn4.innerHTML = "Против часовой";


        const myInterval = ()=>{
          myDIV.innerHTML = "";
          BackgroundColors();
          counter++;
          document.getElementById("myDIV").style.transform = "rotate("+counter+"deg)";
          myDIV.innerHTML = counter;
          if (counter == 30){
            clearInterval(Interval);;
          }

        }

          const myIntervalReverse = ()=>{
          myDIV.innerHTML = "";
          BackgroundColors();
          counter--;
          document.getElementById("myDIV").style.transform = "rotate("+counter+"deg)";
          myDIV.innerHTML = counter;
          if (counter == 1){
            clearInterval(Interval);
          }

        }

         const myStopFunction = () => {
          if (flag == true){
            clearInterval(Interval);
            flag = false;
            btn1.innerHTML = "Продолжить";
          }else{
            flag = true;
            btn1.innerHTML = "Остановить";
            if (direction == true ) {
              Interval = setInterval(myInterval,1000);
            }else {
              Interval = setInterval(myIntervalReverse,1000);
            }
            
          }
        }
        
        const myStartFunction = () =>{
          flag = true;
          btn1.innerHTML = "Остановить";
          clearInterval(Interval);
          if (direction == true){
            counter = 0;
            Interval = setInterval(myInterval,1000);
          }else{
            counter = 31;
            Interval = setInterval(myIntervalReverse,1000);
          }
          
        }

        const Reverse = () =>{
          flag = true;
          btn1.innerHTML = "Остановить";
          clearInterval(Interval);
          counter = 31;
          Interval = setInterval(myIntervalReverse,1000);
          direction = false;
        }

        const Usual = () => {
          flag = true;
          btn1.innerHTML = "Остановить";
          clearInterval(Interval);
          counter = 0;
          Interval = setInterval(myInterval,1000);
          direction = true;
        }

        const getRandomIntInclusive = (min, max) => {
            min = Math.ceil(min);
            max = Math.floor(max);
            return Math.floor(Math.random() * (max - min + 1)) + min;
          }

        const BackgroundColors = () => {
          r = getRandomIntInclusive(0,255);
          g = getRandomIntInclusive(0,255);
          b = getRandomIntInclusive(0,255);
          return document.body.style.background = 'rgb('+r+','+g+','+b+')';
        }
        
        let Interval = setInterval(myInterval,1000);
        btn1.addEventListener("click", myStopFunction);
        btn2.addEventListener("click", myStartFunction);
        btn3.addEventListener("click",Usual);
        btn4.addEventListener("click",Reverse);

      </script>
</body>
</html>
